grk::SOTMarker Class Reference

`#include <SOTMarker.h>`

## Public Member Functions

| SOTMarker (void)
bool | write (TileProcessor *proc, uint32_t tileLength)
| Writes the SOT marker (Start of tile-part)
bool | write_psot (BufferedStream *stream, uint32_t tileLength)
bool | read (CodeStreamDecompress *codeStream, uint8_t *headerData, uint16_t header_size)
| Decompress a SOT marker (Start of tile-part)

## Private Member Functions

bool | read (CodeStreamDecompress *codeStream, uint8_t *headerData, uint32_t header_size, uint32_t *tot_len, uint16_t *tileIndex, uint8_t *current_part, uint8_t *num_parts)
| Reads values from a SOT marker (Start of tile-part)

## Private Attributes

uint64_t | psot_location_

## Constructor & Destructor Documentation

## SOTMarker()

grk::SOTMarker::SOTMarker | ( | void |  | ) |

## Member Function Documentation

## read() [1/2]

bool grk::SOTMarker::read | ( | CodeStreamDecompress * | codeStream,
|  | uint8_t * | headerData,
|  | uint16_t | header_size
| ) |  |

Decompress a SOT marker (Start of tile-part)

Parameters

  headerData | the data contained in the SOT marker.
  header_size | the size of the data contained in the PPT marker.

References grk::CodeStream::currentProcessor(), grk::DECOMPRESS_STATE_TPH, grk::CodeStreamDecompress::getCodeStreamInfo(), grk::CodeStream::getCodingParams(), grk::CodeStreamDecompress::getDecompressorState(), grk::GRK_ERROR(), grk::grk_read(), grk::DecompressorState::lastTilePartInCodeStream, read(), grk::CodeStreamDecompress::setExpectSOD(), grk::TileProcessor::setTilePartDataLength(), grk::sot_marker_segment_len_minus_tile_data_len, grk::sot_marker_segment_min_len, and grk::CodeStreamInfo::updateTileInfo().

Referenced by read(), and grk::CodeStreamDecompress::read_sot().

## read() [2/2]

bool grk::SOTMarker::read | ( | CodeStreamDecompress * | codeStream,
|  | uint8_t * | headerData,
|  | uint32_t | header_size,
|  | uint32_t * | tot_len,
|  | uint16_t * | tileIndex,
|  | uint8_t * | current_part,
|  | uint8_t * | num_parts
| ) |  |

private

Reads values from a SOT marker (Start of tile-part)

the j2k decompressor state is not affected. No side effects, no checks except for header_size.

Parameters

  headerData | the data contained in the SOT marker.
  header_size | the size of the data contained in the SOT marker.
  tot_len | Psot.
  current_part | TPsot.
  num_parts | TNsot.

References grk::CodeStreamDecompress::allocateProcessor(), grk::GRK_ERROR(), grk::grk_read(), grk::MARKER_PLUS_MARKER_LENGTH_BYTES, and grk::sot_marker_segment_len_minus_tile_data_len.

## write()

bool grk::SOTMarker::write | ( | TileProcessor * | proc,
|  | uint32_t | tileLength
| ) |  |

Writes the SOT marker (Start of tile-part)

References grk::grk_read(), grk::J2K_MS_SOT, and psot_location_.

## write_psot()

bool grk::SOTMarker::write_psot | ( | BufferedStream * | stream,
|  | uint32_t | tileLength
| ) |  |

References grk::grk_read(), psot_location_, grk::BufferedStream::seek(), grk::BufferedStream::tell(), and grk::BufferedStream::writeInt().

## Member Data Documentation

## psot_location_

uint64_t grk::SOTMarker::psot_location_

private

Referenced by write(), and write_psot().

The documentation for this class was generated from the following files:

- SOTMarker.h
- SOTMarker.cpp